#version 450

// shader input
layout(location = 0) in vec4 fragColor;

// output write
layout(location = 0) out vec4 outColor;

layout(set = 0, binding = 1) uniform  SceneData{
  vec4 fogColor; // w is for exponent
  vec4 fogDistances; //x for min, y for max, zw unused.
  vec4 ambientColor;
  vec4 sunlightDirection; //w for sun power
  vec4 sunlightColor;
} sceneData;

void main() {
    outColor = vec4(fragColor.xyz + sceneData.ambientColor.xyz, 1.0f);
    //outColor = fragColor;
    //outColor = sceneData.ambientColor;
}
